%define		req_monkey_media_version 0.6.1

Name:		rhythmbox
Summary:	Music Management Application 
Version:	0.4.1
Release:	7mdk
License:	GPL
Group:		Sound
Source:		%{name}-%{version}.tar.bz2
Source1:	%name-32.png
Source2:	%name-16.png
URL:		http://www.rhythmbox.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	libmonkey-media-devel >= %{req_monkey_media_version}
BuildRequires:  liblirc-devel >= 0.6.0
BuildRequires:  scrollkeeper
Requires:	monkey-media >= %{req_monkey_media_version}
Requires:	gstreamer-audiosink

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

%prep
%setup -q

%build

%configure2_5x --disable-install-schemas
%make


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/rhythmbox" icon="%name.png" longtitle="Music Management Application" title="Rhythmbox" needs="x11" section="Multimedia/Sound" startup_notify="true"

EOF
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/%name.png %buildroot/%_liconsdir
install -m 644 %SOURCE1  %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE2  %buildroot/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null

%postun
%{clean_menus}


%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_bindir}/rhythmbox
%{_datadir}/application-registry/rhythmbox.applications
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/omf/rhythmbox/rhythmbox-C.omf
%{_datadir}/pixmaps/rhythmbox.png
%{_datadir}/rhythmbox/*
%_libdir/bonobo/servers/*
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-7mdk
- fix buildrequires

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-6mdk
- rebuild for new gstreamer

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-5mdk
- rebuild against latest gstreamer

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-4mdk
- rebuild against latest ssl

* Wed Jan  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- requires gstreamer-audiosink instead of forcing gstreamer-oss
- rebuild against latest gstreamer

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- rebuild

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Remove patch0 (merged upstream)

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- rebuild for new gstreamer

* Fri Nov 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- adjust file list
- remove obsolete buildrequires
- buildrequires liblirc-devel
- requires latest monkey-media
- new version

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-2mdk
- rebuild with the new gstreamer

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- 0.3.0
- buildrequires libmonkey-media-devel
- patch away Werror to make it compile

* Thu Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-3mdk
- buildrequires libmad0-devel

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- fix schema installation 
- fix requires

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- mdk adaption

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
